question if I may - Mandriva

This is a discussion on question if I may - Mandriva ; I have been trying to get gtk-gnutella up and running on 2008.1 spring mandriva, but I keep getting the GTK+ error message upon install saying something about missing library or header files. Well I think I have installed the right ...

+ Reply to Thread
Results 1 to 15 of 15

Thread: question if I may

  1. question if I may

    I have been trying to get gtk-gnutella up and running on 2008.1 spring
    mandriva, but I keep getting the GTK+ error message upon install saying
    something about missing library or header files.
    Well I think I have installed the right packages but I still get the same
    message when installing, just what package am I missing?

    Thanks for any help.





    --
    Google Be Gone

  2. Re: question if I may

    spanking mandy wrote:
    > I have been trying to get gtk-gnutella up and running on 2008.1 spring
    > mandriva, but I keep getting the GTK+ error message upon install saying
    > something about missing library or header files.
    > Well I think I have installed the right packages but I still get the same
    > message when installing, just what package am I missing?
    >
    > Thanks for any help.


    Well, there is obviously something wrong, and something missing.
    But you know that, and that is as much as we know. If you would be
    kind enough to provide the exact error messages, either copied/pasted
    from the screen or maybe found in the /var/log/* files using grep
    and keywords from the error msgs, someone might recognize the
    problem.

    If your attempts to date have been from a GUI, you might open a
    terminal window and use urpmi gtk-gnutella for an install attempt.
    You will likely get a better set of error messages and other info.

    If you want to be really verbose, you might copy/paste the output
    from (in a command window),

    rpm -qa |grep gnutella
    rpm -qa |grep gtk

    And if you want to work real hard, you can use the rpm -q command
    with appropriate options and argument to find out what a given
    software package depends on, and then you can check if each is installed.

    man urpmi
    man rpm
    man grep
    for more information on those commands.

    Cheers!

    jim b.

    --
    UNIX is not user unfriendly; it merely
    expects users to be computer-friendly.

  3. Re: question if I may

    spanking mandy writes:

    >I have been trying to get gtk-gnutella up and running on 2008.1 spring
    >mandriva, but I keep getting the GTK+ error message upon install saying
    >something about missing library or header files.
    >Well I think I have installed the right packages but I still get the same
    >message when installing, just what package am I missing?


    What is the message that you get?
    And you get it upon installing what?

    >Thanks for any help.






    >--
    >Google Be Gone


  4. Re: question if I may

    On Wed, 22 Oct 2008 11:18:47 -0400, Jim Beard wrote:

    > spanking mandy wrote:
    >> I have been trying to get gtk-gnutella up and running on 2008.1 spring
    >> mandriva, but I keep getting the GTK+ error message upon install saying
    >> something about missing library or header files. Well I think I have
    >> installed the right packages but I still get the same message when
    >> installing, just what package am I missing?
    >>
    >> Thanks for any help.

    >
    > Well, there is obviously something wrong, and something missing. But you
    > know that, and that is as much as we know. *If you would be kind enough
    > to provide the exact error messages, either copied/pasted from the
    > screen or maybe found in the /var/log/* files using grep and keywords
    > from the error msgs, someone might recognize the problem.
    >


    Your wish is my command.:
    --------------------------------

    Feature Summary (Version 0.96.6u):
    -------------------------------------------------
    GLib version * * * * * * * * * * * : glib-2.x
    GUI front-end * * * * * * * * * * *: GTK2
    GNU TLS support * * * * * * * * * *: yes
    IPv6 support * * * * * * * * * * * : yes
    NLS (Native Language Support) * * *: yes
    Fast assertions * * * * * * * * * *: yes
    DBus support (experimental) * * * *: no
    Remote Shell Interface (deprecated): no
    -------------------------------------------------
    Creating config.sh...
    Doing variable substitutions on .SH files...
    Extracting Makefile (with variable substitutions)
    Extracting config.h (with variable substitutions)
    Extracting extra_files/Makefile (with variable substitutions)
    Extracting extra_files/el/Makefile (with variable substitutions)
    Extracting extra_files/en/Makefile (with variable substitutions)
    Extracting extra_files/ja/Makefile (with variable substitutions)
    Extracting gtk-gnutella.spec (with variable substitutions)
    Extracting install (with variable substitutions)
    Extracting pixmaps/Makefile (with variable substitutions)
    Extracting po/Makefile (with variable substitutions)
    Extracting src/Makefile (with variable substitutions)
    Extracting src/core/Makefile (with variable substitutions)
    Extracting src/dht/Makefile (with variable substitutions)
    Extracting src/if/Makefile (with variable substitutions)
    Extracting src/if/bridge/Makefile (with variable substitutions)
    Extracting src/lib/Makefile (with variable substitutions)
    Extracting src/sdbm/Makefile (with variable substitutions)
    Extracting src/shell/Makefile (with variable substitutions)
    Extracting src/ui/Makefile (with variable substitutions)
    Extracting src/ui/gtk/Makefile (with variable substitutions)
    Extracting src/ui/gtk/gtk1/Makefile (with variable substitutions)
    Extracting src/ui/gtk/gtk2/Makefile (with variable substitutions)
    Run /usr/bin/make depend now? [y] *
    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory
    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory
    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory
    make: *** pvmd not responding (PvmSysErr). *Stop.
    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory
    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory
    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory
    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory
    make: *** pvmd not responding (PvmSysErr). *Stop.
    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory

    ERROR: Compiling failed.
    [root@localhost install]#
    -----------------------------------------------

    ********I don't really understand the error message above (maybe it's
    just me?) but I have ran the program in the past but this error is the
    first I have ever seen of it.



    > If your attempts to date have been from a GUI, you might open a terminal
    > window and use *urpmi gtk-gnutella *for an install attempt. You will
    > likely get a better set of error messages and other info.
    >


    I did a install form Control Center, install programs and it shows in the
    menu on the desktop for Gnome but it will not load, so then I tried the
    install from the package download from sourceforge and the above error is
    what I get.



    --
    Google Be Gone

  5. Re: question if I may

    On Wed, 22 Oct 2008 16:23:42 +0000, Unruh wrote:

    > spanking mandy writes:
    >
    >>I have been trying to get gtk-gnutella up and running on 2008.1 spring
    >>mandriva, but I keep getting the GTK+ error message upon install saying
    >>something about missing library or header files. Well I think I have
    >>installed the right packages but I still get the same message when
    >>installing, just what package am I missing?

    >
    > What is the message that you get?
    > And you get it upon installing what?
    >


    Hope fully this will display correctly if not please forgive:
    sorry about handle mix-up still working out kinks from old set-up.


    Feature Summary (Version 0.96.6u):
    -------------------------------------------------

    GLib version : glib-2.x
    GUI front-end : GTK2
    GNU TLS support : yes
    IPv6 support : yes
    NLS (Native Language Support) : yes
    Fast assertions : yes
    DBus support (experimental) : no
    Remote Shell Interface (deprecated): no
    -------------------------------------------------
    Creating config.sh...
    Doing variable substitutions on .SH files...

    Extracting Makefile (with variable substitutions)

    Extracting config.h (with variable substitutions)

    Extracting extra_files/Makefile (with variable substitutions)

    Extracting extra_files/el/Makefile (with variable substitutions)

    Extracting extra_files/en/Makefile (with variable substitutions)

    Extracting extra_files/ja/Makefile (with variable substitutions)

    Extracting gtk-gnutella.spec (with variable substitutions)

    Extracting install (with variable substitutions)

    Extracting pixmaps/Makefile (with variable substitutions)

    Extracting po/Makefile (with variable substitutions)

    Extracting src/Makefile (with variable substitutions)

    Extracting src/core/Makefile (with variable substitutions)

    Extracting src/dht/Makefile (with variable substitutions)

    Extracting src/if/Makefile (with variable substitutions)

    Extracting src/if/bridge/Makefile (with variable substitutions)

    Extracting src/lib/Makefile (with variable substitutions)

    Extracting src/sdbm/Makefile (with variable substitutions)

    Extracting src/shell/Makefile (with variable substitutions)

    Extracting src/ui/Makefile (with variable substitutions)

    Extracting src/ui/gtk/Makefile (with variable substitutions)

    Extracting src/ui/gtk/gtk1/Makefile (with variable substitutions)

    Extracting src/ui/gtk/gtk2/Makefile (with variable substitutions)

    Run /usr/bin/make depend now? [y]

    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory

    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory

    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory

    make: *** pvmd not responding (PvmSysErr).Stop.

    libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory

    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory

    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory

    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory

    make: *** pvmd not responding (PvmSysErr).Stop.

    libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory

    ERROR: Compiling failed.
    [root@localhost install]#

  6. Re: question if I may

    spanking mandy skrev:
    > I have been trying to get gtk-gnutella up and running on 2008.1 spring
    > mandriva, but I keep getting the GTK+ error message upon install saying
    > something about missing library or header files.
    > Well I think I have installed the right packages but I still get the same
    > message when installing, just what package am I missing?
    >
    > Thanks for any help.
    >
    >
    >
    >
    >

    Hi,
    I am using the Gnutella GTK client, why do you not just go here (Easy
    Urpmi):
    http://easyurpmi.zarb.org/
    and choose the PLF resporitories? it is is RPM format, and it install
    really easy...in 2009 at least..Give it a try =0)

    All the best
    Roger

    --
    Mandriva Linux 2009 pwp (Linuxcounter #432950)

    MSI NEO3, 1,0 Gb Memory, AMD Athlon 64 3200+ CPU
    GeForce 6600GT Pci-E
    __________________________________________________
    Be against others the way
    you want to be treated yourself

  7. Re: question if I may

    On Wed, 22 Oct 2008 23:20:41 +0200, Roger wrote:

    > spanking mandy skrev:
    >> I have been trying to get gtk-gnutella up and running on 2008.1 spring
    >> mandriva, but I keep getting the GTK+ error message upon install saying
    >> something about missing library or header files. Well I think I have
    >> installed the right packages but I still get the same message when
    >> installing, just what package am I missing?
    >>
    >> Thanks for any help.
    >>
    >>
    >>
    >>
    >>

    > Hi,
    > I am using the Gnutella GTK client, why do you not just go here (Easy
    > Urpmi):
    > http://easyurpmi.zarb.org/
    > and choose the PLF resporitories? it is is RPM format, and it install
    > really easy...in 2009 at least..Give it a try =0)
    >


    I did, it doesn't load here?

    But I found why it wasn't compiling and for some reason make wasn't
    installed. I really thought it was. But it went fine until this:
    ------------------------------

    Making all in po...

    gmake[2]: Entering directory `/home/user/install/po'
    test -z "de.gmo el.gmo es.gmo fr.gmo hu.gmo it.gmo ja.gmo nb.gmo nl.gmo
    tr.gmo uk.gmo zh_CN.gmo" || gmake de.gmo el.gmo es.gmo fr.gmo hu.gmo
    it.gmo ja.gmo nb.gmo nl.gmo tr.gmo uk.gmo zh_CN.gmo

    gmake[3]: Entering directory `/home/user/install/po'

    rm -f de.gmo && msgfmt -o de.gmo de.po

    /bin/sh: line 3: msgfmt: command not found

    gmake[3]: *** [de.gmo] Error 127

    gmake[3]: Leaving directory `/home/user/install/po'

    gmake[2]: *** [stamp-po] Error 2

    gmake[2]: Leaving directory `/home/user/install/po'

    gmake[1]: *** [subdirs] Error 1

    gmake[1]: Leaving directory `/home/user/install'

    gmake: *** [all] Error 2

    ERROR: Compiling failed.

  8. Re: question if I may


    > I did a install form Control Center, install programs and it shows in the
    > menu on the desktop for Gnome but it will not load, so then I tried the
    > install from the package download from sourceforge and the above error is
    > what I get.
    >
    >
    >

    Open a Console, and type gtk-gnutella.
    The console will tell you to edit a line in the /home/your
    account/.gtk-gnutella/config-gnet file.
    Mine look like this:
    ancient_version_force = "gtk-gnutella/0.96.3-12293 (2006-11-09; GTK2;
    Linux i686)"
    The console will tell you what to paste in between the ""'s. Remember to
    remove the # in front of ancient_version_force ="" before you save the file!

    All the best
    Roger

    --
    Mandriva Linux 2009 pwp (Linuxcounter #432950)

    MSI NEO3, 1,0 Gb Memory, AMD Athlon 64 3200+ CPU
    GeForce 6600GT Pci-E
    __________________________________________________
    Be against others the way
    you want to be treated yourself

  9. Re: question if I may

    On Wed, 22 Oct 2008 16:34:00 -0400, Lanutic Fringe wrote:

    >>>I have been trying to get gtk-gnutella up and running on 2008.1 spring


    If you run it from a terminal, you'll see an error message explaining that
    it's an old version, with instructions on how to override the check.

    That said, I just downloaded the latest snapshot from sourcforge, and installed
    it (using 2009.0 here). The only additional package I had to install was
    libgtk+2.0_0-devel. Then run ./build.sh and "sudo gmake install" in the
    extracted directory.

    Regards, Dave Hodgins

    --
    Change nomail.afraid.org to ody.ca to reply by email.
    (nomail.afraid.org has been set up specifically for
    use in usenet. Feel free to use it yourself.)

  10. Re: question if I may

    On Wed, 22 Oct 2008 17:36:50 -0400, Lanutic Fringe wrote:

    > /bin/sh: line 3: msgfmt: command not found


    urpmf /usr/bin/msgfmt
    gettext:/usr/bin/msgfmt

    Try running "urpmi gettext".

    Regards, Dave Hodgins

    --
    Change nomail.afraid.org to ody.ca to reply by email.
    (nomail.afraid.org has been set up specifically for
    use in usenet. Feel free to use it yourself.)

  11. Re: question if I may

    On Wed, 22 Oct 2008 23:41:17 +0200, Roger wrote:

    >> I did a install form Control Center, install programs and it shows in
    >> the menu on the desktop for Gnome but it will not load, so then I tried
    >> the install from the package download from sourceforge and the above
    >> error is what I get.
    >>
    >>
    >>

    > Open a Console, and type gtk-gnutella.
    > The console will tell you to edit a line in the /home/your
    > account/.gtk-gnutella/config-gnet file. Mine look like this:
    > ancient_version_force = "gtk-gnutella/0.96.3-12293 (2006-11-09; GTK2;
    > Linux i686)"
    > The console will tell you what to paste in between the ""'s. Remember to
    > remove the # in front of ancient_version_force ="" before you save the
    > file!
    >
    > All the best
    > Roger



    That worked but I was wanting to install/run version 0.96.5 but thanks
    for getting the older version running. I was starting it from the desktop
    and not seeing error messages. If I don't get the newer one running this
    will work for my purposes.

    Thanks fellas, this is very helpful group, again thanks fellas.

  12. Re: question if I may

    Lanutic Fringe writes:

    >On Wed, 22 Oct 2008 16:23:42 +0000, Unruh wrote:


    >> spanking mandy writes:
    >>
    >>>I have been trying to get gtk-gnutella up and running on 2008.1 spring
    >>>mandriva, but I keep getting the GTK+ error message upon install saying
    >>>something about missing library or header files. Well I think I have
    >>>installed the right packages but I still get the same message when
    >>>installing, just what package am I missing?


    >>
    >> What is the message that you get?
    >> And you get it upon installing what?
    >>


    >Hope fully this will display correctly if not please forgive:
    >sorry about handle mix-up still working out kinks from old set-up.


    Ah, so you are COMPILING it not installing it.



    >Feature Summary (Version 0.96.6u):
    >-------------------------------------------------


    >GLib version : glib-2.x
    >GUI front-end : GTK2
    >GNU TLS support : yes
    >IPv6 support : yes
    >NLS (Native Language Support) : yes
    >Fast assertions : yes
    >DBus support (experimental) : no
    >Remote Shell Interface (deprecated): no
    >-------------------------------------------------


    >Run /usr/bin/make depend now? [y]
    >
    >libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory


    >libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory


    >libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory


    That means it is looking for a "run" file to make sure that pvmd is
    actually running. It is not. Why not?
    (i have no idea what pvm is, so cannot help you as to what you should be
    doing)


    Do you have
    libpvm-devel installed?


    >make: *** pvmd not responding (PvmSysErr).Stop.


    >libpvm [pid12047] /var/run/pvm3/pvmd.0: No such file or directory


    >libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory


    >libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory


    >libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory


    >make: *** pvmd not responding (PvmSysErr).Stop.


    >libpvm [pid12050] /var/run/pvm3/pvmd.0: No such file or directory


    >ERROR: Compiling failed.
    >[root@localhost install]#


  13. Re: question if I may

    On Wed, 22 Oct 2008 23:00:36 +0000, Unruh wrote:

    >
    > Ah, so you are COMPILING it not installing it.
    >


    yes the error was make wasn't there, why i don't know. but i took david's
    suggestion and it finished compiling and i ran gmake install and then ran
    gtk-gnutella. the older version that was a plf package would load.
    so i removed the old version and did and totally new compile and install
    and now it is running 0.96.6u unstable. well it running just fine so far
    but time will tell.

    but thanks fellows, you have been a big help, granted i have known i need
    to get my eyes checked again, maybe that was my problem. but you fellas
    helped me alot, thanks a bunch.

  14. Re: question if I may

    David W. Hodgins wrote:

    > On Wed, 22 Oct 2008 17:36:50 -0400, Lanutic Fringe wrote:
    >
    >> /bin/sh: line 3: msgfmt: command not found

    >
    > urpmf /usr/bin/msgfmt
    > gettext:/usr/bin/msgfmt
    >
    > Try running "urpmi gettext".
    >
    > Regards, Dave Hodgins
    >

    Gtk-gnutella has a policy of disabling builds more than 1 year old. The
    version for 2008.1 gives that message, plus a workaround. Presumably, the
    version for Mdv 2009 is O.K. I have had no real difficulty running rpmbuild
    on their tarballs.

    This won't be your problem, but I thought I would mention it.

    Doug.
    --
    I am a part of all that I have met.
    - Lord Tennyson, "Ulysses."


  15. Re: question if I may

    On Thu, 23 Oct 2008 23:10:42 -0400, Doug Laidlaw wrote:

    > Gtk-gnutella has a policy of disabling builds more than 1 year old. The
    > version for 2008.1 gives that message, plus a workaround. Presumably, the
    > version for Mdv 2009 is O.K. I have had no real difficulty running rpmbuild
    > on their tarballs.


    The 2009.0 version is the same as the 2008.1 version ...
    $ urpmq -i gtk-gnutella |grep Source
    Source RPM : gtk-gnutella-0.96.3-1plf2007.1.src.rpm

    The rpm package is from plf-free, so it's not maintained by Mandriva. I'm not
    sure who a bug report should be sent to, for plf packages.

    Regards, Dave Hodgins

    --
    Change nomail.afraid.org to ody.ca to reply by email.
    (nomail.afraid.org has been set up specifically for
    use in usenet. Feel free to use it yourself.)

+ Reply to Thread